{ lib, pkgs, config,  ... }:
let
    adminer = pkgs.callPackage ../../commons/adminer.nix {};

    cfg = config.myServices.websites.tools.db;
in {
  options.myServices.websites.tools.db = {
    enable = lib.mkEnableOption "enable database's website";
  };

  config = lib.mkIf cfg.enable {
    services.websites.tools.modules = adminer.apache.modules;
    services.websites.tools.vhostConfs.db-1 = {
      certName    = "eldiron";
      addToCerts  = true;
      hosts       = ["db-1.immae.eu" ];
      root        = null;
      extraConfig = [ adminer.apache.vhostConf ];
    };
  };
}
